For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/logs/get-api-logs-v1list.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

List Logs

GET
/api/logs/v1/list
1const response = await fetch("https://api.reloop.sh/api/logs/v1/?page=1&limit=10", {
2 method: "GET",
3 headers: {
4 "x-api-key": "rl_123456789"
5 }
6});
7
8const logs = await response.json();
1{
2 "logs": [
3 {
4 "uuid": "example_uuid",
5 "event": "evt_123456789",
6 "level": "example_level",
7 "trace_id": "example_trace_id",
8 "metadata": null,
9 "status_code": 0,
10 "created_at": "2026-03-23T10:00:00.000Z",
11 "requestDetails": null,
12 "request_body": null,
13 "actor_type": "example_actor_type",
14 "actor_id": "example_actor_id",
15 "resource_type": "example_resource_type",
16 "resource_id": "example_resource_id",
17 "service": "example_service",
18 "action": "example_action",
19 "ip_address": "example_ip_address",
20 "user_agent": "example_user_agent",
21 "environment": "example_environment"
22 }
23 ],
24 "count": 0,
25 "stats": {
26 "debug": 0,
27 "info": 0,
28 "warn": 0,
29 "error": 0,
30 "fatal": 0
31 }
32}

Query Parameters

level"debug" | "info" | "warn" | "error" | "fatal"

Possible values: debug | info | warn | error | fatal

eventstring

Filter by event name (partial match)

status_codestring

Filter by status code (number or 'success', 'error')

searchstring

Search across event name and metadata

organization_idstring
start_datestring

Filter logs from this date (ISO 8601)

end_datestring

Filter logs until this date (ISO 8601)

limitstring | number

Maximum number of log entries to return

  • Minimum value: 1
  • Maximum value: 100
pagestring | number

Page number for pagination

  • Minimum value: 1
servicestring

Filter by source service (api_key, domain, mailing…)

actionstring

Filter by action verb (created, deleted, sent…)

resource_typestring

Filter by resource type (api_key, domain, email…)

resource_idstring

Filter by specific resource ID

actor_type"user" | "api_key" | "system"

Possible values: user | api_key | system

actor_idstring

Filter by actor ID (user_id or api_key_id)

environment"production" | "development" | "test"

Possible values: production | development | test

Was this page helpful?